Skip to main content
Get Connector Schema
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/connector-schemas \
  --header 'Authorization: <api-key>'
{
  "connectorSchema": {
    "connectorConfigSchema": {
      "fields": [
        {
          "allowOverrides": true,
          "allowedValues": [
            "<string>"
          ],
          "default": "<string>",
          "description": "<string>",
          "fieldName": "<string>",
          "required": true
        }
      ]
    },
    "messageConfigSchemas": [
      {
        "fields": [
          {
            "allowedValues": [
              "<string>"
            ],
            "default": "<string>",
            "description": "<string>",
            "disableOverride": true,
            "fieldName": "<string>",
            "required": true
          }
        ],
        "payloadType": "<string>"
      }
    ],
    "supportedPayloadTypes": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

type
enum<string>

Connector type whose schema to retrieve. Connector type.

Available options:
CONNECTOR_TYPE_UNSPECIFIED,
SLACK,
GENERIC_HTTPS,
PAGERDUTY,
IBM_EVENT_NOTIFICATIONS,
SERVICE_NOW,
EMAIL,
PAGERDUTY_INCIDENTS

Response

200 - application/json

Response containing the schema definition for a notification connector type.

connectorSchema
object

Connector schema.